/*
 * my_LED.h
 *
 *  Created on: gg/mmm/ccaa
 *      Author: cognome.nome
 *
 * gestione dei led frontali
 *
 */

#ifndef __MY__LED__H__
#define __MY__LED__H__

//==============================================================================
// Include files

//==============================================================================
// Constants

#define LED_OFF			  0x01
#define LED_ON		      0x00

//==============================================================================
// Types

//==============================================================================
// External variables

//==============================================================================
// Global functions

long LED_init(void);

void Set_LED_RESET(unsigned long value);
void Set_LED_WATCH_D(unsigned long value);
void Set_LED_POWER(unsigned long value);
void Set_LED_LET_NUM(unsigned long value);
void Set_LED_PROG(unsigned long value);
void Set_LED_1(unsigned long value);
void Set_LED_2(unsigned long value);
void Set_LED_3(unsigned long value);
void Set_LED_4(unsigned long value);
void Set_LED_5(unsigned long value);
void Set_LED_6(unsigned long value);
void Set_LED_7(unsigned long value);

#endif
